package de.pdark.decentxml;

import java.io.IOException;
import java.io.InputStream;
import java.io.Reader;

public class XMLIOSource extends XMLStringSource
{
    public XMLIOSource (InputStream in) throws IOException
    {
        this (new XMLInputStreamReader (in));
    }

    public XMLIOSource (Reader reader) throws IOException
    {
        super (toString (reader));
    }

    public static String toString (Reader reader) throws IOException
    {
        StringBuilder buffer = new StringBuilder (10240);
        char[] cbuf = new char[10240];
        int len;
        
        while ((len = reader.read (cbuf)) != -1)
        {
            buffer.append (cbuf, 0, len);
        }
        
        return buffer.toString ();
    }
}
