package de.pdark.decentxml;

public class XMLStringBufferSource implements XMLSource
{
    private StringBuffer data;
    
    public XMLStringBufferSource (StringBuffer data)
    {
        this.data = data;
    }

    public int length ()
    {
        return data.length ();
    }
    
    public char charAt (int offset)
    {
        return data.charAt (offset);
    }

    public String substring (int start, int end)
    {
        return data.substring (start, end);
    }

}
