package de.pdark.decentxml;

public class XMLStringBuilderSource implements XMLSource
{
    private StringBuilder data;
    
    public XMLStringBuilderSource (StringBuilder data)
    {
        this.data = data;
    }

    public int length ()
    {
        return data.length ();
    }
    
    public char charAt (int offset)
    {
        return data.charAt (offset);
    }

    public String substring (int start, int end)
    {
        return data.substring (start, end);
    }

}
