/**
 * 
 */
package de.pdark.decentxml;

import java.io.IOException;
import java.io.Writer;

import de.pdark.decentxml.XMLTokenizer.Type;

public interface Node
{
    /** Slow way to convert a node to XML */
    public String toXML ();
    /** Fast way to convert many nodes to XML */
    public void toXML (Writer writer) throws IOException;
    /** Get the node type */
    public Type getType ();
}