/**
 * 
 */
package de.pdark.decentxml;

import de.pdark.decentxml.XMLTokenizer.Type;

public class Text extends BasicNode
{
    public Text (XMLTokenizer.Token token)
    {
        super (token);
    }
    
    public Text (Type type, String text)
    {
        super (type, type == Type.CDATA ? "<![CDATA[" + text + "]]>" : text);
    }
    
    public Text (String text)
    {
        this (Type.TEXT, XMLParser.escapeXMLText (text));
    }
}